Prepare to install the module

To help ensure the successful deployment of CEM, complete the preparation steps.

  1. Review the following table to ensure that CEM can meet your organization’s requirements. cem_windows supports the following operating systems and CIS benchmarks:
    Operating system Framework Level Profile
    Windows Server 2019 CIS Benchmarks v1.3.0 1 Member Server
    Windows Server 2016 CIS Benchmarks v1.3.0 1 Member Server
    Windows 10 Enterprise CIS Benchmarks v1.12.0 1 Corporate Enterprise
    Tip: CEM uses Desired State Configuration (DSC) modules and the validation_mode parameter to ensure that resources do not remain in a "flapping" state. For more information, see securitypolicydsc.
  2. Install Puppet Enterprise (PE). To use PE at a 2019 level, install version 2019.8.4 or later. To use PE at a 2021 level, install 2021.2.0 or later. For instructions, see Installing.
  3. Review the dependencies to ensure that your infrastructure will meet the requirements. Go to Puppet Forge and review the Dependencies tab.
  4. Configure PE. For instructions, see Configuring Puppet Enterprise.
  5. Ensure that the Puppet utility is at the correct level. If you are using a level 6 utility, it must be v6.23.0 or later. If you are using a level 7 utility, it must be v7.8.0 or later.
  6. To purchase CEM software, contact a Puppet by Perforce sales representative. For more information, see Contact Sales.